function runscript()
	storewindow();
	graphic("lifetoast");
	speaker("");
	musvol(0);
	sound("getitem", CHAN_SCRIPTED);
	timedsay("You've found a slice of Life Toast!", 200);
	if (getflag(FLAG_LIFETOAST_HELP_HEARD) == FLAG_OFF) then
		say("So fluffy,|| and delicious,|| and full of vitamins and minerals~^!");
		say("If only it weren't so high in carbs.|.|.|");
		setflag(FLAG_LIFETOAST_HELP_HEARD, FLAG_ON);
	end
	
	say("Maximum HP increased by 2!||/nLife restored!");
	musvol(100);
	musres();
	
	restorewindow();
end